Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.el.util
Class CapturingELResolver

    java.lang.Object
      javax.el.ELResolver
          org.richfaces.el.ELResolverWrapper
              org.richfaces.el.util.CapturingELResolver

    public class CapturingELResolver

extends ELResolverWrapper

Since:
  3.3.0
Author:
  Nick Belaevski

Field Summary

Fields inherited from class javax.el.ELResolver
`RESOLVABLE_AT_DESIGN_TIME, TYPE`

Constructor Summary
`CapturingELResolver(javax.el.ELResolver resolver)`

Method Summary
`java.lang.Object` | `getBase()`
`java.lang.Object` | `getProperty()`
`java.lang.Class<?>` | `getType(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(javax.el.ELContext context, java.lang.Object base, java.lang.Object property)`

Methods inherited from class org.richfaces.el.ELResolverWrapper
`getCommonPropertyType, getFeatureDescriptors, isReadOnly, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CapturingELResolver

    public CapturingELResolver(javax.el.ELResolver resolver)

Method Detail

### getValue

    public java.lang.Object getValue(javax.el.ELContext context,
                                     java.lang.Object base,
                                     java.lang.Object property)

  Overrides:
    `getValue` in class `ELResolverWrapper`
  See Also:
    `ELResolver.getValue(javax.el.ELContext, java.lang.Object, java.lang.Object)`

### getType

    public java.lang.Class<?> getType(javax.el.ELContext context,
                                      java.lang.Object base,
                                      java.lang.Object property)

  Overrides:
    `getType` in class `ELResolverWrapper`
  See Also:
    `ELResolver.getType(javax.el.ELContext, java.lang.Object, java.lang.Object)`

### getBase

    public java.lang.Object getBase()

### getProperty

    public java.lang.Object getProperty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.